#pragma once

#include <map>

class CStickerGroup;

class CStickerMgr
{
public: 
	CStickerMgr(void);
	~CStickerMgr(void);


public:
	CStickerGroup* GetRecentStickerGroup(void);
	int AddSticker(CStickerItem* pSticker);
	int SetCurrentGroup(int nGroupId);
	CStickerGroup* GetGroup(int nGroupId);
	CStickerGroup* GetCurrentGroup(void);
	int Load(void);
	int Save(void);

private:
	typedef std::map<int,CStickerGroup*>	MAP_STICKER_GROUP;
private:
	MAP_STICKER_GROUP		m_mapStickerGroup;	// save all sticker	
	BOOL					m_bLoaded;	//these sticker has been loaded if true.
    CCriticalSection        m_csLock;
};
